## ros-one-pal-statistics-msgs 1.5.2-2noble.20251022.2357

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pal_statistics_msgs)

find_package(catkin REQUIRED
    COMPONENTS
        message_generation
        roscpp
        std_msgs
)


################################################
## Declare ROS messages, services and actions ##
################################################

add_message_files(
    FILES
        Statistic.msg
        Statistics.msg
        StatisticsNames.msg
        StatisticsValues.msg
)

generate_messages(
    DEPENDENCIES
        std_msgs
)


###################################
## catkin specific configuration ##
###################################
catkin_package(
    CATKIN_DEPENDS
        message_runtime
        std_msgs
)

## ros-one-pal-statistics-msgs 1.5.2-2jammy.20251023.0000

=== debian/changelog ===
ros-one-pal-statistics-msgs (1.5.2-2jammy.20251023.0000) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 23 Oct 2025 00:00:02 +0000

ros-one-pal-statistics-msgs (1.5.2-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 16 May 2024 00:00:00 -0000

ros-one-pal-statistics-msgs (1.5.1-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Jul 2023 00:00:00 -0000

ros-one-pal-statistics-msgs (1.5.0-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 23 Aug 2021 00:00:00 -0000

ros-one-pal-statistics-msgs (1.4.3-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 19 Mar 2021 00:00:00 -0000

ros-one-pal-statistics-msgs (1.4.2-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 12 Jan 2021 00:00:00 -0000

ros-one-pal-statistics-msgs (1.4.1-0jammy) jammy; urgency=high

  * Change License to MIT
    fixes #5
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 11 Nov 2020 00:00:00 -0000

ros-one-pal-statistics-msgs (1.4.0-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 13 Mar 2020 00:00:00 -0000

ros-one-pal-statistics-msgs (1.3.1-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 28 Aug 2019 00:00:00 -0000

ros-one-pal-statistics-msgs (1.3.0-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Aug 2019 00:00:00 -0000

ros-one-pal-statistics-msgs (1.2.1-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 18 Apr 2019 00:00:00 -0000

ros-one-pal-statistics-msgs (1.2.0-0jammy) jammy; urgency=high

  * Merge branch 'optimized-msg' into 'erbium-devel'
    Optimized msg
    See merge request qa/pal_statistics!15
  * Add new messages
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 16 Apr 2019 00:00:00 -0000

ros-one-pal-statistics-msgs (1.1.1-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.1.0-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 29 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.8-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 25 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.7-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 25 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.6-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 24 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.5-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 24 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.4-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.3-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.2-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 22 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.1-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 22 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.0-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 20 Sep 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (0.0.3-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (0.0.2-0jammy) jammy; urgency=high

  * Updated license
  * Unified versions
  * Merge branch 'erbium-devel' of gitlab:qa/pal_statistics_msgs into erbium-devel
  * Moved files to their own package directory
  * Contributors: Jordan Palacios

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 04 Jul 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (0.0.1-0jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 21 Jun 2018 00:00:00 -0000

=== debian/control ===
Source: ros-one-pal-statistics-msgs
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-message-generation, ros-one-roscpp, ros-one-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-pal-statistics-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-message-runtime, ros-one-roscpp, ros-one-std-msgs
Description: Statistics msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pal-statistics-msgs//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pal-statistics-msgs 1.5.2-2jammy.20260220.2100

=== debian/changelog ===
ros-one-pal-statistics-msgs (1.5.2-2jammy.20260220.2100) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 20 Feb 2026 21:00:49 +0000

## ros-one-pal-statistics-msgs 1.5.2-2noble.20251022.2357

=== debian/changelog ===
ros-one-pal-statistics-msgs (1.5.2-2noble.20251022.2357) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 22 Oct 2025 23:57:47 +0000

ros-one-pal-statistics-msgs (1.5.2-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 16 May 2024 00:00:00 -0000

ros-one-pal-statistics-msgs (1.5.1-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Jul 2023 00:00:00 -0000

ros-one-pal-statistics-msgs (1.5.0-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 23 Aug 2021 00:00:00 -0000

ros-one-pal-statistics-msgs (1.4.3-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 19 Mar 2021 00:00:00 -0000

ros-one-pal-statistics-msgs (1.4.2-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 12 Jan 2021 00:00:00 -0000

ros-one-pal-statistics-msgs (1.4.1-0noble) noble; urgency=high

  * Change License to MIT
    fixes #5
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 11 Nov 2020 00:00:00 -0000

ros-one-pal-statistics-msgs (1.4.0-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 13 Mar 2020 00:00:00 -0000

ros-one-pal-statistics-msgs (1.3.1-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 28 Aug 2019 00:00:00 -0000

ros-one-pal-statistics-msgs (1.3.0-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Aug 2019 00:00:00 -0000

ros-one-pal-statistics-msgs (1.2.1-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 18 Apr 2019 00:00:00 -0000

ros-one-pal-statistics-msgs (1.2.0-0noble) noble; urgency=high

  * Merge branch 'optimized-msg' into 'erbium-devel'
    Optimized msg
    See merge request qa/pal_statistics!15
  * Add new messages
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 16 Apr 2019 00:00:00 -0000

ros-one-pal-statistics-msgs (1.1.1-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Dec 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.1.0-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 29 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.8-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 25 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.7-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 25 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.6-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 24 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.5-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 24 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.4-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.3-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.2-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 22 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.1-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 22 Oct 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (1.0.0-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 20 Sep 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (0.0.3-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (0.0.2-0noble) noble; urgency=high

  * Updated license
  * Unified versions
  * Merge branch 'erbium-devel' of gitlab:qa/pal_statistics_msgs into erbium-devel
  * Moved files to their own package directory
  * Contributors: Jordan Palacios

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 04 Jul 2018 00:00:00 -0000

ros-one-pal-statistics-msgs (0.0.1-0noble) noble; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 21 Jun 2018 00:00:00 -0000

## ros-one-pal-statistics-msgs 1.5.2-2noble.20260220.2104

=== debian/changelog ===
ros-one-pal-statistics-msgs (1.5.2-2noble.20260220.2104) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 20 Feb 2026 21:04:23 +0000
